| Home | Libraries | People | FAQ | More

## Function template is_sorted

boost::algorithm::is_sorted

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator>
      bool is_sorted(ForwardIterator first, ForwardIterator last);

## Description

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence

Returns: | whether or not the entire sequence is sorted